<?php
if (post_password_required()) {
    return;
}
?>

<div id="comments" class="mt-5">
    <?php if (have_comments()) : ?>
        <div class="my-4">
            <h4 class="my-3 fontBold"><?php the_title(); ?>へのコメント</h4>
            <?php wp_list_comments('callback=mytheme_comment7'); //コメントの出力をカスタマイズする?>
        </div>
        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
            <nav role="navigation">
                <div><?php _e('Comment navigation', 'testLanguage'); ?></div>
                <div><?php previous_comments_link(__('&larr; Older Comments', 'testLanguage')); ?></div>
                <div><?php next_comments_link(__('Newer Comments &rarr;', 'testLanguage')); ?></div>
            </nav><!-- #comment-nav-below -->
        <?php endif; // Check for comment navigation. ?>
        <?php if (!comments_open()) : ?>
<!--            <div>-->
<!--                --><?php //_e('Comments are closed.', 'testLanguage'); ?>
<!--            </div>-->
        <?php endif; ?>
    <?php endif; // have_comments() ?>

    <?php //▼▼▼ ここからコメント挿入部分 ▼▼▼
    // デフォルト値取得
    $titlename = get_the_title();
    $commenter = wp_get_current_commenter();
    $req = get_option('require_name_email');
    $aria_req = ($req ? " aria-required='true'" : '');
    // $comment_field設定
    $comment_field = '<textarea class="form-control mb-2" name="comment" rows="4" aria-required="true" placeholder="' . __('今すぐ口コミ・情報提供をお願いします。', 'testLanguage') . '" ></textarea>';
    // $comment_notes_before設定
    $comment_notes_before = __('メールアドレスは公開されませんのでご安心下さい。');//NULL;

    // $fields設定
    $fields = array(
        'startdiv' => '<div class="row">',
        'author' => '<div class="col-md-6"><input id="author" class="form-control" name="author" type="text" value="'
            . esc_attr($commenter['comment_author']) . '" placeholder="' . __('匿名希望さん', 'navistrap') . '" ' . $aria_req . ' /></div>',
        'email' => '<div class="col-md-6"><input id="email" class="form-control" name="email" type="text" value="'
            . esc_attr($commenter['comment_author_email']) . '" placeholder="' . __('メールアドレス（非公開）', 'navistrap') . '"' . $aria_req . ' /></div>',
        'enddiv' => '</div>',
    );
    // $args設定
    $args = array(
	    'title_reply_before'=> '<div id="reply-title" class="comment-title"></div>',
	    'title_reply' => '<h4 class="my-3 fontBold">コメントをする</h4>',
        'fields' => apply_filters('comment_form_default_fields', $fields),
        'comment_field' => $comment_field,
        'comment_notes_before' => $comment_notes_before,
        'submit_button' => '<input name="%1$s" type="submit" id="%2$s" class="%3$s btn btn-block btn-sm btn-success my-2" value="%4$s" />',
        'label_submit' => __('コメントを投稿する'),
    );
    ?>

    <?php comment_form($args); ?>
</div><!-- #comments -->
