<?php
function search_wp_title($title)
{
    if (is_search()) {
        $title = str_replace(':', '', $title);
    }
    return $title;
}

add_filter('wp_title', 'search_wp_title');

//-------------------------------------------
//更新日時順に呼び出しを変更
//-------------------------------------------
function order_by_modified ( $query ) {
	// 全部の記事を更新日順に並び替え
	// if ( $query->is_main_query() ) {
    // 日付ページは除く他の記事は更新日順に並び替え
    // if ( $query->is_main_query() && !$query->is_date() ){
    // ホームまたはカテゴリーならば更新日順に並び替え
	// if ( $query->is_home() || $query->is_category() ) {
	if ( $query->is_main_query() && !$query->is_category('programming') ){
		$query->set( 'orderby', 'modified' );
	}
}
add_action( 'pre_get_posts', 'order_by_modified' );


//-------------------------------------------
// ウィジェット実装
//-------------------------------------------
function main_widgets_init()
{
    register_sidebar(array(
        'name' => __('サイドバー'),
        'id' => 'sidebar',
        'description' => __('メインサイドバー右側に表示されます'),
        'before_widget' => '<div class="widget-wrap %s">',
        'after_widget' => '</div>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
    ));
}
add_action('widgets_init', 'main_widgets_init');

function articleMainAD_widgets_init()
{
    register_sidebar(array(
        'name' => __('articleMainAD'),
        'id' => 'articleMainAD',
        'description' => __('記事終わりに広告や好みのHTMLを表示するウィジェット'),
        'before_widget' => '<div class="articleMainAD %s">',
        'after_widget' => '</div>',
//        'before_title' => '<h4>',
//        'after_title' => '</h4>',
    ));
}
add_action('widgets_init', 'articleMainAD_widgets_init');


//-------------------------------------------
// 投稿に文字数を表示させる を追加する
//-------------------------------------------
//カラムの挿入
add_filter( 'manage_posts_columns', function ($columns) {
    //文字数表示
    $columns['word-count'] = '文字数';

    return $columns;
} );

//カラムの内容
add_action('manage_posts_custom_column', function ($column_name, $post_id) {

    //文字数表示
    if ('word-count' == $column_name) {
        //テーマで設定されているサムネイルを利用する場合
        $post = get_post($post_id);
        $title_count = mb_strlen(strip_tags($post->post_title));
        $content_count = mb_strlen(strip_tags(do_shortcode($post->post_content)));
        $thum = '　題：' . $title_count . '<br>' .
            '本文：' . $content_count;
    }

    if (isset($thum) && $thum) {
        echo $thum;
    }
}, 10, 2);


//-------------------------------------------
// 固定ページの p br を削除(投稿やカスタム投稿からも除去可能)
// 本文と抜粋から除去する
// ただWordoress5からあまり意味無さそう？Wordoress5はHTML挿入とすれば解消できる。
//-------------------------------------------
add_filter('the_content', 'wpautop_filter', 9);
function wpautop_filter($content)
{
    global $post;
    $remove_filter = false;
    $arr_types = array('page');
    //    $arr_types = array('post', 'page', 'list');
    $post_type = get_post_type($post->ID);
    if (in_array($post_type, $arr_types)) $remove_filter = true;
    if ($remove_filter) {
        remove_filter('the_content', 'wpautop');
        remove_filter('the_excerpt', 'wpautop');
    }
    return $content;
}

//-------------------------------------------
// 管理バーの項目を非表示 ロゴのみ強制非表示
//-------------------------------------------
function remove_bar_menus_logo($wp_admin_bar)
{
    $wp_admin_bar->remove_menu('wp-logo');     // ロゴ
    $wp_admin_bar->remove_menu('new-content'); // 新規投稿
}

add_action('admin_bar_menu', 'remove_bar_menus_logo', 999);

//-------------------------------------------
// 抜粋設定
// 挿入すると不要物取り除いて抜粋
// echo kexcerpt(200);
//-------------------------------------------
function kexcerpt($length)
{
    global $post;
    $content = mb_substr(strip_tags($post->post_excerpt), 0, $length);

    if (!$content) {
        $content = $post->post_content;
        $content = strip_shortcodes($content);
        $content = strip_tags($content);
        //$content = str_replace("&nbsp;","",$content);
        $content = str_replace(array("\r\n", "\r", "\n", "&nbsp;", ""), '', $content);
        $content = html_entity_decode($content, ENT_QUOTES, "UTF-8");
        $content = mb_substr($content, 0, $length);
    }
    return $content;
}

//-------------------------------------------
// 不要ヘッダー削除
//-------------------------------------------
// search-everything Ver削除
remove_action('wp_head', 'se_global_head');
// Wordpress4.2 絵文字スクリプト停止
remove_action('wp_head', 'print_emoji_detection_script', 7);
// Wordpress4.2 絵文字スクリプト停止
remove_action('wp_print_styles', 'print_emoji_styles');
//汎用的なブログ編集用のアドレスです
remove_action('wp_head', 'rsd_link');
//Windows Live Writer を使って記事を投稿するときのアドレス
remove_action('wp_head', 'wlwmanifest_link');
//
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
//
remove_action('wp_head', 'wp_generator');
//shortlinkを削除 canonicalを入れること
remove_action('wp_head', 'wp_shortlink_wp_head');
//
remove_action('wp_head', 'start_post_rel_link', 10, 0);
//
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);


// -------------------------------------------
// 投稿記事一覧
// 管理画面にアイキャッチ画像/サムネイルを表示
// -------------------------------------------
add_theme_support('post-thumbnails');


//-------------------------------------------
// ページネーション
//-------------------------------------------
if (!function_exists('pagination')) {
    function pagination($pages = '', $range = 1)
    {
        $showitems = ($range * 2) + 1;
        global $paged;
        if (empty($paged)) $paged = 1;
        if ($pages == '') {
            global $wp_query;
            $pages = $wp_query->max_num_pages;
            if (!$pages) {
                $pages = 1;
            }
        }
        if (1 != $pages) {
            echo "<div id=\"pagination\">";
            if ($paged > 2 && $paged > $range + 1 && $showitems < $pages) echo "<a href='" . get_pagenum_link(1) . "'>&lt;&lt;</a>";
            //if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'><i class='fa fa-angle-left'></i></a>";
            for ($i = 1; $i <= $pages; $i++) {
                if (1 != $pages && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems)) {
                    echo ($paged == $i) ? "<span class=\"current\">" . $i . "</span>" : "<a href='" . get_pagenum_link($i) . "' class=\"inactive\">" . $i . "</a>";
                }
            }
            //if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\"><i class='fa fa-angle-right'></i></a>";
            if ($paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages) echo "<a href='" . get_pagenum_link($pages) . "'>&gt;&gt;</a>";
            echo "</div>\n";
        }
    }
}

//-------------------------------------------
// コメントリスト表示用カスタマイズコード　7
// バルーン
//-------------------------------------------
function mytheme_comment7($comment, $args, $depth)
{
    $GLOBALS['comment'] = $comment; ?>

    <div class="row my-2">
        <div class="col-md-2">
            <div class="bg-user">
                <div class="img-circle">
                    <?php echo get_avatar($comment, 48); ?>
                </div>
                <?php comment_author(); ?>さん
            </div>
        </div>
        <div class="col-md-10">
            <div class="bg-comment balloon">
                <?php echo nl2br(htmlentities(comment_text())); ?>
                <div class="message-time">
                    <?php comment_date('[Y/m/d]'); ?>
                </div>
            </div>
        </div>
    </div>
    <?php
}

//-------------------------------------------
// パンくずリスト
// breadcrumb();
//-------------------------------------------
function breadcrumb()
{
    global $post;
    $str = '';
    $pNum = 2;

    $str .= '<nav id="breadcrumb">';
    $str .= '<ol class="breadcrumb" itemprop="Breadcrumb" itemscope itemtype="http://data-vocabulary.org/BreadcrumbList">';
    $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . home_url('/') . '" class="home"><span itemprop="name">HOME</span></a><meta itemprop="position" content="1"></li>';

    /* 通常の投稿ページ */
    if (is_singular('post')) {
        $categories = get_the_category($post->ID);
        $cat = $categories[0];

        if ($cat->parent != 0) {
            $ancestors = array_reverse(get_ancestors($cat->cat_ID, 'category'));
            foreach ($ancestors as $ancestor) {
                $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_category_link($ancestor) . '"><span itemprop="name">' . get_cat_name($ancestor) . '</span></a><meta itemprop="position" content="' . $pNum . '"></li>';
                $pNum++;
            }
        }
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_category_link($cat->term_id) . '"><span itemprop="name">' . $cat->cat_name . '</span></a><meta itemprop="position" content="' . $pNum . '"></li>';
        $pNum++;
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . $post->post_title . '</span><meta itemprop="position" content="' . $pNum . '"></li>';
    } /* カスタムポスト */
    elseif (is_single() && !is_singular('post')) {
        $cp_name = get_post_type_object(get_post_type())->label;
        $cp_url = home_url('/') . get_post_type_object(get_post_type())->name;
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . $cp_url . '"><span itemprop="name">' . $cp_name . '</span></a><meta itemprop="position" content="2"></li>';
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . $post->post_title . '</span><meta itemprop="position" content="3"></li>';
    } /* 固定ページ */
    elseif (is_page()) {
        $pNum = 2;
        if ($post->post_parent != 0) {
            $ancestors = array_reverse(get_post_ancestors($post->ID));
            foreach ($ancestors as $ancestor) {
                $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_permalink($ancestor) . '"><span itemprop="name">' . get_the_title($ancestor) . '</span></a><meta itemprop="position" content="' . $pNum . '"></li>';
                $pNum++;
            }
        }
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . $post->post_title . '</span><meta itemprop="position" content="' . $pNum . '"></li>';
    } /* カテゴリページ */
    elseif (is_category()) {
        $cat = get_queried_object();
        $pNum = 2;
        if ($cat->parent != 0) {
            $ancestors = array_reverse(get_ancestors($cat->cat_ID, 'category'));
            foreach ($ancestors as $ancestor) {
                $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_category_link($ancestor) . '"><span itemprop="name">' . get_cat_name($ancestor) . '</span></a><meta itemprop="position" content="' . $pNum . '"></li>';
            }
        }
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . $cat->name . '</span><meta itemprop="position" content="' . $pNum . '"></li>';
    } /* タグページ */
    elseif (is_tag()) {
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . single_tag_title('', false) . '</span><meta itemprop="position" content="2"></li>';
    } /* 時系列アーカイブページ */
    elseif (is_date()) {

        if (get_query_var('day') != 0) {
            $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_year_link(get_query_var('year')) . '"><span itemprop="name">' . get_query_var('year') . '年</span></a><meta itemprop="position" content="2"></li>';
            $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_month_link(get_query_var('year'), get_query_var('monthnum')) . '"><span itemprop="name">' . get_query_var('monthnum') . '月</span></a><meta itemprop="position" content="3"></li>';
            $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . get_query_var('day') . '</span>日<meta itemprop="position" content="4"></li>';
        } elseif (get_query_var('monthnum') != 0) {
            $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_year_link(get_query_var('year')) . '"><span itemprop="name">' . get_query_var('year') . '年</span></a><meta itemprop="position" content="2"></li>';
            $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . get_query_var('monthnum') . '</span>月<meta itemprop="position" content="3"></li>';
        } else {
            $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . get_query_var('year') . '年</span><meta itemprop="position" content="2"></li>';
        }
    } /* 投稿者ページ */
    elseif (is_author()) {
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">投稿者 : ' . get_the_author_meta('display_name', get_query_var('author')) . '</span><meta itemprop="position" content="2"></li>';
    } /* 添付ファイルページ */
    elseif (is_attachment()) {
        $pNum = 2;
        if ($post->post_parent != 0) {
            $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . get_permalink($post->post_parent) . '"><span itemprop="name">' . get_the_title($post->post_parent) . '</span></a><meta itemprop="position" content="' . $pNum . '"></li>';
            $pNum++;
        }
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . $post->post_title . '</span><meta itemprop="position" content="' . $pNum . '"></li>';
    } /* 検索結果ページ */
    elseif (is_search()) {
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">「' . get_search_query() . '」で検索した結果</span><meta itemprop="position" content="2"></li>';
    } /* 404 Not Found ページ */
    elseif (is_404()) {
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">お探しの記事は見つかりませんでした。</span><meta itemprop="position" content="2"></li>';
    } /* その他のページ */
    else {
        $str .= '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">' . wp_title('', false) . '</span><meta itemprop="position" content="2"></li>';
    }

    $str .= '</ol>';
    $str .= '</nav>';
    echo $str;
}

//-------------------------------------------
// ダッシュボードウィジェット
// 非表示にする/管理者のみ表示
//-------------------------------------------
function example_remove_dashboard_widgets()
{
    global $wp_meta_boxes;
    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now']); // 現在の状況
    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']); // クイック投稿
    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_recent_drafts']); // 最近の下書き
    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']); // WordPressブログ
    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_activity']); // アクティビティ
    unset($wp_meta_boxes['dashboard']['normal']['core']['custom_help_widget']); //追加プラグインのお知らせなど
    if (!current_user_can('administrator')) {
        unset($wp_meta_boxes['dashboard']['normal']['core']['jetpack_summary_widget']); //jetpack ダッシュボード
    }
}

add_action('wp_dashboard_setup', 'example_remove_dashboard_widgets');

// -------------------------------------------
// 投稿記事一覧・カスタム投稿
// 管理画面にアイキャッチ画像/サムネイルを表示
// -------------------------------------------
function manage_posts_columns($columns)
{
    $columns['thumbnail'] = __('Thumbnail');
    // TODO 通常の投稿にも反映されるため2重表記になる
    //    if (isset($_REQUEST['post_type'])) {
    //        $columns['category'] = "カテゴリ";
    //        $columns['tag'] = "タグ";
    //    }
    return $columns;
}

function add_column($column_name, $post_id)
{
    if ('thumbnail' == $column_name) {
        $thum = get_the_post_thumbnail($post_id, array(50, 50), 'thumbnail');
    }

    if (isset($thum) && $thum) {
        echo $thum;
    } elseif (esc_attr(get_post_meta($post_id, 'eye', true))) {
        echo '<img src="';
        echo esc_attr(get_post_meta($post_id, 'eye', true));
        echo '" width="50" height="50" alt="アイキャッチ画像" class="wp-post-image">';
    } else {
        //echo '<span style="font-size:1.5em;color:red;font-weight:bold">';
        //echo __('None');
        //echo '</span>';
    }
}

add_filter('manage_posts_columns', 'manage_posts_columns');
add_action('manage_posts_custom_column', 'add_column', 10, 2);


//-------------------------------------------
// 管理画面に投稿時間を表示する
//-------------------------------------------
function posts_date_time_add( $posts_time, $post ) {
    $posts_time .= '<br>' . get_post_time( 'l H:i', false, $post );
    return $posts_time;
}
add_filter ( 'post_date_column_time', 'posts_date_time_add', 10, 2 );


//-------------------------------------------
// 管理画面にCSS設定 admin.css
//-------------------------------------------
function add_admin_css_js()
{
    wp_enqueue_style('admin_style', get_template_directory_uri() . '/admin.css');
}

add_action('admin_enqueue_scripts', 'add_admin_css_js');


//-------------------------------------------
// カテゴリの投稿数をaタグの中に
// カテゴリ・アーカイブウィジェットの投稿数のカッコを取り除く
//-------------------------------------------
function remove_post_count_parentheses( $output ) {
    $output = preg_replace('/<\/a>.*\((\d+)\)/','<span class="post-count">($1)</span></a>',$output);
    return $output;
}
add_filter( 'wp_list_categories', 'remove_post_count_parentheses' );
add_filter( 'get_archives_link',  'remove_post_count_parentheses' );



//-------------------------------------------
// Register Custom Navigation Walker
// ナビゲーション Bootstrap5に対応させる
//-------------------------------------------
// bootstrap 5 wp_nav_menu walker
class bootstrap_5_wp_nav_menu_walker extends Walker_Nav_menu
{
    private $current_item;
    private $dropdown_menu_alignment_values = [
        'dropdown-menu-start',
        'dropdown-menu-end',
        'dropdown-menu-sm-start',
        'dropdown-menu-sm-end',
        'dropdown-menu-md-start',
        'dropdown-menu-md-end',
        'dropdown-menu-lg-start',
        'dropdown-menu-lg-end',
        'dropdown-menu-xl-start',
        'dropdown-menu-xl-end',
        'dropdown-menu-xxl-start',
        'dropdown-menu-xxl-end'
    ];

    function start_lvl(&$output, $depth = 0, $args = null)
    {
        $dropdown_menu_class[] = '';
        foreach($this->current_item->classes as $class) {
            if(in_array($class, $this->dropdown_menu_alignment_values)) {
                $dropdown_menu_class[] = $class;
            }
        }
        $indent = str_repeat("\t", $depth);
        $submenu = ($depth > 0) ? ' sub-menu' : '';
        $output .= "\n$indent<ul class=\"dropdown-menu$submenu " . esc_attr(implode(" ",$dropdown_menu_class)) . " depth_$depth\">\n";
    }

    function start_el(&$output, $item, $depth = 0, $args = null, $id = 0)
    {
        $this->current_item = $item;

        $indent = ($depth) ? str_repeat("\t", $depth) : '';

        $li_attributes = '';
        $class_names = $value = '';

        $classes = empty($item->classes) ? array() : (array) $item->classes;

        $classes[] = ($args->walker->has_children) ? 'dropdown' : '';
        $classes[] = 'nav-item';
        $classes[] = 'nav-item-' . $item->ID;
        if ($depth && $args->walker->has_children) {
            $classes[] = 'dropdown-menu dropdown-menu-end';
        }

        $class_names =  join(' ', apply_filters('nav_menu_css_class', array_filter($classes), $item, $args));
        $class_names = ' class="' . esc_attr($class_names) . '"';

        $id = apply_filters('nav_menu_item_id', 'menu-item-' . $item->ID, $item, $args);
        $id = strlen($id) ? ' id="' . esc_attr($id) . '"' : '';

        $output .= $indent . '<li ' . $id . $value . $class_names . $li_attributes . '>';

        $attributes = !empty($item->attr_title) ? ' title="' . esc_attr($item->attr_title) . '"' : '';
        $attributes .= !empty($item->target) ? ' target="' . esc_attr($item->target) . '"' : '';
        $attributes .= !empty($item->xfn) ? ' rel="' . esc_attr($item->xfn) . '"' : '';
        $attributes .= !empty($item->url) ? ' href="' . esc_attr($item->url) . '"' : '';

        $active_class = ($item->current || $item->current_item_ancestor || in_array("current_page_parent", $item->classes, true) || in_array("current-post-ancestor", $item->classes, true)) ? 'noClass-active' : '';
        $nav_link_class = ( $depth > 0 ) ? 'dropdown-item ' : 'nav-link ';
        $attributes .= ( $args->walker->has_children ) ? ' class="'. $nav_link_class . $active_class . ' dropdown-toggle" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"' : ' class="'. $nav_link_class . $active_class . '"';

        $item_output = $args->before;
        $item_output .= '<a' . $attributes . '>';
        $item_output .= $args->link_before . apply_filters('the_title', $item->title, $item->ID) . $args->link_after;
        $item_output .= '</a>';
        $item_output .= $args->after;

        $output .= apply_filters('walker_nav_menu_start_el', $item_output, $item, $depth, $args);
    }
}
// register a new menu
register_nav_menu('main-menu', 'Main menu');
