<!DOCTYPE html>
<html <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#">
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
    <link rel="start" href="<?php echo esc_url(home_url('/')); ?>" title="ホーム">
    <link rel="shortcut icon" href="<?php echo esc_url(home_url()); ?>/favicon.ico">
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo esc_url(get_stylesheet_directory_uri()); ?>/images/apple-touch-icon.png">
    <link rel="icon" sizes="192x192" type="image/png" href="<?php echo esc_url(get_stylesheet_directory_uri()); ?>/images/android-touch-icon.png">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.0/font/bootstrap-icons.css">
    <link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/style.css?22">

    <?php wp_head(); ?>
</head>
<body>
<?php if(!is_home()):?>
<style>
    .navbar {
        background: #fff;
    }
    .navbar-light .navbar-nav .nav-link {
        color: #000;
        font-weight: 700;
    }
</style>
    <nav class="navbar navbar-expand-lg navbar-light no-bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/logo.png" /></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#main-menu" aria-controls="main-menu" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="main-menu">
                <?php
                wp_nav_menu(array(
                    'theme_location' => 'main-menu',
                    'container' => false,
                    'menu_class' => '',
                    'fallback_cb' => '__return_false',
                    'items_wrap' => '<ul id="%1$s" class="navbar-nav ms-auto mb-2 mb-lg-0 %2$s">%3$s</ul>',
                    'depth' => 2,
                    'walker' => new bootstrap_5_wp_nav_menu_walker()
                ));
                ?>
            </div>
        </div>
    </nav>

<?php endif;?>
<?php if (!(is_home() || is_front_page() )) : ?>
    <?php breadcrumb(); ?>
<?php endif; ?>
