<?php get_header(); ?>
<style>
    #eyeCatch {
        background-image: url("<?php echo esc_url(get_template_directory_uri()); ?>/images/topBg.jpg");
    }
    #company {
        background: url("<?php echo esc_url(get_template_directory_uri()); ?>/images/company.jpg") no-repeat bottom center;
        background-size:cover;
        padding-bottom: 6em;
    }
</style>
<div id="eyeCatch">
    <nav class="navbar navbar-expand-lg navbar-light no-bg-light no-fixed-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/logo.png" /></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#main-menu" aria-controls="main-menu" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="main-menu">
                <?php
                wp_nav_menu(array(
                    'theme_location' => 'main-menu',
                    'container' => false,
                    'menu_class' => '',
                    'fallback_cb' => '__return_false',
                    'items_wrap' => '<ul id="%1$s" class="navbar-nav ms-auto mb-2 mb-lg-0 %2$s">%3$s</ul>',
                    'depth' => 2,
                    'walker' => new bootstrap_5_wp_nav_menu_walker()
                ));
                ?>
            </div>
        </div>
    </nav>

    <div class="message">
        <h1>White Chocolate</h1>
        <p>安心安全をお客様とともに</p>
    </div>
</div>

<div id="topics">
    <div class="container">
        <div class="title">
            <p>Topics</p>
            <h2>お知らせ</h2>
        </div>

        <?php if(have_posts()): while (have_posts()): the_post(); ?>
        <div class="d-md-flex flex-row bd-highlight border-bottom">
            <div class="p-2 bd-highlight">
                <div class="articlesCat">
                    <?php $cat = get_the_category();
                    $cat       = $cat[0];
                    echo get_cat_name( $cat->term_id ); ?>
                </div>
            </div>

            <div class="p-2 bd-highlight">
                <?php if ( get_the_date() != get_the_modified_date() ) :?>
                    <time itemprop="dateModified" datetime="<?php the_modified_date('Y-m-d') ?>"><?php the_modified_date('Y/m/d') ?></time>
                <?php else:?>
                    <time itemprop="datePublished" datetime="<?php the_time('Y-m-d') ?>"><?php the_time('Y/m/d') ?></time>
                <?php endif; ?>
            </div>

            <div class="p-2 bd-highlight">
                <div itemprop="headline">
                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" itemprop="url"><?php the_title(); ?></a>
                </div>
            </div>
        </div>
        <?php endwhile; endif; wp_reset_query(); ?>

    </div>
</div>


<div id="menu">
    <div class="title">
        <p>Menu</p>
        <h2>メニュー</h2>
    </div>
    <div class="container">
        <div class="titleMessage">
            <p>
                当店自慢の<span class="text-nowrap">こだわりメニュー</span><br>
                最高のひとときを<span class="text-nowrap">楽しんで下さい。</span>
            </p>
        </div>

        <div class="row">
            <div class="col-md-6 mb-4">
                <div class="card h-100">
                    <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/topMenu01.jpg" width="444" height="300" class="card-img-top" alt="">
                    <div class="card-body">
                        <h3>ホットデザートショコラート</h3>
                        <p>
                            濃厚ソフトクリームとローストナッツ、キャラメルソースをトッピング。
                            こだわりのコーヒーとの相性も抜群。
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-md-6 mb-4">
                <div class="card h-100">
                    <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/topMenu02.jpg" width="444" height="300" class="card-img-top" alt="">
                    <div class="card-body">
                        <h3>ベリーベリー</h3>
                        <p>
                            ストロベリーとブルーべりーをトッピングし、たっぷりのチョコレートソースで仕上げました。
                        </p>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<div id="recommend">
    <div class="title">
        <p>Recommend</p>
        <h2>おすすめ</h2>
    </div>
    <div class="container">
        <p class="titleMessage">
            大人気のおすすめのメニューをご紹介。
        </p>

        <div id="carouselExampleDark" class="carousel slide mb-5" data-bs-ride="carousel">
            <ol class="carousel-indicators">
                <li data-bs-target="#carouselExampleDark" data-bs-slide-to="0" class="active"></li>
                <li data-bs-target="#carouselExampleDark" data-bs-slide-to="1"></li>
                <li data-bs-target="#carouselExampleDark" data-bs-slide-to="2"></li>
            </ol>
            <div class="carousel-inner">
                <div class="carousel-item active" data-bs-interval="10000">
                    <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/recommend01.jpg"
                         width="916" height="500" class="d-block img-fluid" alt="">
                    <div class="carousel-caption d-none d-md-block bg-dark">
                        <h3>ベリーベリーベリー</h3>
                        <p>やさしい食感と贅沢ないちごづくし</p>
                    </div>
                </div>
                <div class="carousel-item" data-bs-interval="2000">
                    <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/recommend02.jpg"
                         width="916" height="500" class="d-block img-fluid" alt="">
                    <div class="carousel-caption d-none d-md-block bg-dark">
                        <h3>ショコラショコラ</h3>
                        <p>ふんわりとした口どけ</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/recommend03.jpg"
                         width="916" height="500" class="d-block img-fluid" alt="">
                    <div class="carousel-caption d-none d-md-block bg-dark">
                        <h3>チョコレートチョコレート</h3>
                        <p>濃厚なチョコレートの食感をお楽しみください</p>
                    </div>
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleDark" role="button" data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleDark" role="button" data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Next</span>
            </a>
        </div>


        <div class="subCase">
            <h3>今月のおすすめ</h3>
            <p>
                一部では御座いますが今月のおすすめ商品をご紹介します！
            </p>
            <div class="card mb-5">
                <div class="card-body">
                    <ul>
                        <li>チョコxバナナクレープミック</li>
                        <li>いちごxいちごxいちご</li>
                        <li>ブレンドコーヒー極み</li>
                        <li>ホワイトティラミス</li>
                    </ul>
                </div>
            </div>
        </div>

    </div>
</div>


<div id="company">
    <div class="title">
        <p>Company</p>
        <h2>会社情報</h2>
    </div>
    <div class="container">
        <div class="bgWrap">
            <div class="row">
                <div class="col-md-3">商号</div>
                <div class="col-md-9">○○○○サービス</div>
                <div class="col-md-3">設立</div>
                <div class="col-md-9">20XX年 X月</div>
                <div class="col-md-3">本社所在地</div>
                <div class="col-md-9">東京都墨田区押上X丁目X−X</div>
                <div class="col-md-3">電話番号</div>
                <div class="col-md-9">0X-XXXX-YYYY</div>
                <div class="col-md-3">代表者</div>
                <div class="col-md-9">代表取締役社長　○○　○○</div>
                <div class="col-md-3">従業員数</div>
                <div class="col-md-9">8名(202x年x月現在)</div>
                <div class="col-md-3">資本金</div>
                <div class="col-md-9">1000万円</div>
            </div>
        </div>
    </div>
</div>

<div id="access">
    <div class="title">
        <p>Access</p>
        <h2>アクセス</h2>
    </div>
    <div class="container">
        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3239.663387394034!2d139.80812331525962!3d35.70990023018765!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x60188ed0d12f9adf%3A0x7d1d4fb31f43f72a!2z5p2x5Lqs44K544Kr44Kk44OE44Oq44O8!5e0!3m2!1sja!2sjp!4v1639107513544!5m2!1sja!2sjp" width="800" height="600" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
        <p class="text-center">
        〒131-0045 東京都墨田区押上1丁目X−X
        </p>
        <p class="text-center m-0 pb-5 fontBold">
            東武伊勢崎線　東京スカイツリー出口2より徒歩約3分
        </p>
    </div>
</div>

<div id="contact">
    <div class="title">
        <p>Contact</p>
        <h2>お問い合わせ</h2>
    </div>
    <div class="container">
        <?php /*
        <script>
            document.addEventListener( 'wpcf7mailsent', function( event ) {
                location = '<?php echo esc_url(home_url());?>/thanks/';
            }, false );
        </script>
        */?>
        <?php echo do_shortcode('[contact-form-7 id="13" title="お問い合わせ"]'); ?>
    </div>
</div>

<div id="endLogo">
    <div class="container">
        <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/logo.png" width="100" height="40" alt="" />
    </div>
</div>


<!--<div class="text-center small my-3">-->
<!--    <a href="--><?php //echo esc_url(home_url()); ?><!--/law" class="text-dark me-3" target="_blank">特定商取引法</a>-->
<!--    <a href="--><?php //echo esc_url(home_url()); ?><!--/privacy-policy" class="text-dark me-3" target="_blank">プライバシーポリシー</a>-->
<!--</div>-->
<div class="text-center bg-light d-grid gap-2">
    <a class="btn btn-block text-dark" href="#top"><i class="bi bi-arrow-up-circle-fill font20"></i></a>
</div>
<?php get_footer(); ?>
